Support » Plugin: Heartbeat Control » Fatal error: require_once(): Failed opening required ‘autoloader.php’

  • Resolved nickcadsoftuk

    (@nickcadsoftuk)


    Just updated to latest version of Heartbeat Control and site now fails to load and am unable to access wp-admin, error message as follows…

    Warning: require_once(autoloader.php): failed to open stream: No such file or directory in /home/cadsofts/public_html/cadsoftsolutions.co.uk/wp-content/plugins/heartbeat-control/heartbeat-control.php on line 36

    Fatal error: require_once(): Failed opening required ‘autoloader.php’ (include_path=’.:/usr/local/php56/pear’) in /home/cadsofts/public_html/cadsoftsolutions.co.uk/wp-content/plugins/heartbeat-control/heartbeat-control.php on line 36

    How can I deactivate this plugin? or delete it?

    Thanks in advance
    Nick

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 20 total)
  • Managed to find article online on how to disable individual plugin (https://www.ostraining.com/blog/wordpress/disable-a-wordpress-plugin/) so site now back up and running but would like to know how to resolve issue with Heartbeat Control as plugin essential when using chat client on our website.

    Best regards
    Nick

    Plugin Author JeffMatson

    (@jeffmatson)

    The issue was caused by an error within an update that I just pushed. It should be solved now if you reinstall the plugin. Just delete the plugin files within wp-content/plugins/heartbeat-control and reinstall.

    Sorry about that!

    Plugin Author JeffMatson

    (@jeffmatson)

    @nickcadsoftuk Just making sure you saw my reply. New version should be good to go (version 1.1.1).

    Just tried to uninstall and install again. I get the error “The plugin has no valid header” and so it just remains inactive.

    Update just made my site error 500. Had to FTP and disable. Hope this can get resolved soon 🙂 Thanks!

    Hello Jeff

    Many thanks, will download again now.

    All the best
    Nick

    Still the same error after redownloading/reinstalling. No V1.1.1 to see yet.

    Warning: require_once(/home/jmjlegac/public_html/wp-content/plugins/heartbeat-controlautoloader.php): failed to open stream: No such file or directory in /home/jmjlegac/public_html/wp-content/plugins/heartbeat-control/heartbeat-control.php on line 36
    
    Fatal error: require_once(): Failed opening required '/home/jmjlegac/public_html/wp-content/plugins/heartbeat-controlautoloader.php' (include_path='.:/opt/alt/php71/usr/share/pear') in /home/jmjlegac/public_html/wp-content/plugins/heartbeat-control/heartbeat-control.php on line 36
    • This reply was modified 1 year, 8 months ago by  RafaelDeJongh.

    Same here. WordPress plugin repository still shows version 1.1 as current version. Hope it will be fixed soon.

    Broke our website. Can’t even get to the admin console. Have our hosting company doing a full restore now. How the hell did this get to the “guaranteed 100% compatible” stage???

    If your site is broken, you can just rename the heartbeat control plugin folder. No need to restore anything and potentially loose data.

    @thelastbestwest Hope you aren’t paying your host to do that restore. Use FTP, find heartbeat control subdirectory name in wp-content/plugins and edit the folder name and add an asterisk or whatever you want. It will automagically disable the plugin, bringing your site back. Takes max 1min. Cheers

    same error going back to old version

    can you upload the fixed version to github or someplace ?

    Error is still happening. You can replace line 36 in heatbeat-control.php with the following

    require_once( dirname( __FILE__ ) . '/autoloader.php' );

    Not fixed it for me either, sorry.

Viewing 15 replies - 1 through 15 (of 20 total)
  • The topic ‘Fatal error: require_once(): Failed opening required ‘autoloader.php’’ is closed to new replies.